Page MenuHomePhabricator

‘External maps’ panel is scrollable in Firefox
Closed, DuplicatePublic

Description

The ‘External maps’ panel is scrollable in Firefox 60:

  1. Go to https://ru.wikipedia.org/wiki/Казань#/maplink/0
  2. Press ‘Внешние карты’ in the bottom if menu hasn’t opened itself
  3. See scrollbar on the right and scrollbar in the bottom

It was intentional, as I understand, to have scroll on the right side as not all information could potentially end up on the screen, but having scrollbar on the bottom is a side effect of using overflow-y: scroll; without a declaration for overflow-x.

Screenshot:

Way to fix:

.mw-kartographer-mapDialog-sidebar {
   overflow-x: hidden;
}

Or you could fix issues that cause having the overflow in the first place, but that is more complicated.

Event Timeline

stjn created this task.May 14 2018, 4:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2018, 4:58 PM
Vvjjkkii renamed this task from ‘External maps’ panel is scrollable in Firefox to ozcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ozcaaaaaaa to ‘External maps’ panel is scrollable in Firefox.Jul 2 2018, 4:12 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.